## Apache Zeta Components Manual :: Docs For Class ezcLogFilterRule

### EventLog::ezcLogFilterRule

### Class ezcLogFilterRule

The ezcLogFilterRule is a rule that is added to the ezcLogFilterSet.

This class binds the matching part of the filter rule together with a container. The container contains the value bound to the filter.

__construct()

Source for this file: /EventLog/src/mapper/filter_rule.php

Version: | //autogentag//

### Method Summary

public ezcLogFilterRule | `__construct( $filter , $container , $continueProcessing )` Creates an ezcLogFilterRule.
protected void | `createStructure( )` Creates an internal structure, to quickly lookup the combination of severity, source, and categories.
public mixed | `getContainer( )` Returns the container, containing the result.
protected array(int) | `getMaskArray( $mask )` Returns the bits set in $mask as separate values in an array.
public bool | `isMatch( $severity , $source , $category )` Returns true when the given $severity, $source, and $category matches with this filter rule.
public bool | `shouldContinueProcessing( )` Returns true if, after matching, should proceeded to the next filter rule.

### Methods

#### __construct

ezcLogFilterRule __construct( ezcLogFilter $filter , mixed $container , bool $continueProcessing )

Creates an ezcLogFilterRule.

The ezcLogFilter $filter is the matching part of this filter rule. See get(). The $container contains the value bound to the $filter, the result. If the filter matches, the boolean $continueProcessing indicates whether the next filter is processed.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$filter` | ezcLogFilter |
`$container` | mixed |
`$continueProcessing` | bool |

#### createStructure

void createStructure( )

Creates an internal structure, to quickly lookup the combination of severity, source, and categories.

#### getContainer

mixed getContainer( )

Returns the container, containing the result.

#### getMaskArray

array(int) getMaskArray( int $mask )

Returns the bits set in $mask as separate values in an array.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$mask` | int |

#### isMatch

bool isMatch( int $severity , string $source , string $category )

Returns true when the given $severity, $source, and $category matches with this filter rule.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$severity` | int |
`$source` | string |
`$category` | string |

#### shouldContinueProcessing

bool shouldContinueProcessing( )

Returns true if, after matching, should proceeded to the next filter rule.

Documentation generated by phpDocumentor 1.4.3